Skip to main content
POST
/
vendors
/
{vendorId}
/
subscription-details
Update subscription details
curl --request POST \
  --url https://www.renovationfind.com/rest-manager-api-v1/vendors/{vendorId}/subscription-details \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "packageType": 0,
  "subscriptionEndDate": "31/12/2026"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.renovationfind.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token issued from the RenovationFind Manager Portal

Path Parameters

vendorId
integer<int64>
required

Body

application/json
packageType
enum<integer>
required

0=NONE, 1=BASIC, 2=PREMIUM, 3=PLATINUM, 4=DISCOUNT_PARTNER

Available options:
0,
1,
2,
3,
4
subscriptionEndDate
string

dd/MM/yyyy format

Example:

"31/12/2026"

Response

Subscription updated